GETPASS(3)

NAME
getpass - get a password

SYNOPSIS
#include <pwd.h>

char *getpass( const char * prompt );

DESCRIPTION
The getpass function displays a prompt to the standard error output, and reads in a password from /dev/tty. If this file is not accessible, getpass reads from the standard input.

The password may be up to 128 characters in length, including a trailing NUL. Any additional characters and the terminating newline character are discarded.

Getpass turns off character echoing and disables the generation of signals by tty special characters (interrupt by control-C, suspend by control-Z, etc.) while reading the password.

RETURN VALUES
Getpass returns a pointer to the null terminated password.

FILES
/dev/tty

SEE ALSO
crypt(3)

HISTORY
A getpass function appeared in Version 7 AT&T UNIX.

BUGS
The getpass function leaves its result in an internal static object and returns a pointer to that object. Subsequent calls to getpass will modify the same object.

The calling process should zero the password as soon as possible to avoid leaving the cleartext password visible in the process's address space.